<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: alexaClientSDK::acl::test::AVSConnectionManagerTest Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1acl.html">acl</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1acl_1_1test.html">test</a></li><li class="navelem"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1test_1_1_a_v_s_connection_manager_test.html">AVSConnectionManagerTest</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="classalexa_client_s_d_k_1_1acl_1_1test_1_1_a_v_s_connection_manager_test-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">alexaClientSDK::acl::test::AVSConnectionManagerTest Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Test harness for <code><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_a_v_s_connection_manager.html">AVSConnectionManager</a></code> class.  
 <a href="classalexa_client_s_d_k_1_1acl_1_1test_1_1_a_v_s_connection_manager_test.html#details">More...</a></p>
<div class="dynheader">
Inheritance diagram for alexaClientSDK::acl::test::AVSConnectionManagerTest:</div>
<div class="dyncontent">
<div class="center"><img src="classalexa_client_s_d_k_1_1acl_1_1test_1_1_a_v_s_connection_manager_test__inherit__graph.png" border="0" usemap="#alexa_client_s_d_k_1_1acl_1_1test_1_1_a_v_s_connection_manager_test_inherit__map" alt="Inheritance graph"/></div>
<map name="alexa_client_s_d_k_1_1acl_1_1test_1_1_a_v_s_connection_manager_test_inherit__map" id="alexa_client_s_d_k_1_1acl_1_1test_1_1_a_v_s_connection_manager_test_inherit__map">
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for alexaClientSDK::acl::test::AVSConnectionManagerTest:</div>
<div class="dyncontent">
<div class="center"><img src="classalexa_client_s_d_k_1_1acl_1_1test_1_1_a_v_s_connection_manager_test__coll__graph.png" border="0" usemap="#alexa_client_s_d_k_1_1acl_1_1test_1_1_a_v_s_connection_manager_test_coll__map" alt="Collaboration graph"/></div>
<map name="alexa_client_s_d_k_1_1acl_1_1test_1_1_a_v_s_connection_manager_test_coll__map" id="alexa_client_s_d_k_1_1acl_1_1test_1_1_a_v_s_connection_manager_test_coll__map">
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a7a341a9fb0a96ed7a783a611c74300b5"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1test_1_1_a_v_s_connection_manager_test.html#a7a341a9fb0a96ed7a783a611c74300b5">SetUp</a> () override</td></tr>
<tr class="separator:a7a341a9fb0a96ed7a783a611c74300b5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0e61253f79a8d024da389a84eebeafc9"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1test_1_1_a_v_s_connection_manager_test.html#a0e61253f79a8d024da389a84eebeafc9">TearDown</a> () override</td></tr>
<tr class="separator:a0e61253f79a8d024da389a84eebeafc9"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:ac28a292753c541d4802bff994adb2d0e"><td class="memItemLeft" align="right" valign="top">std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_a_v_s_connection_manager.html">AVSConnectionManager</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1test_1_1_a_v_s_connection_manager_test.html#ac28a292753c541d4802bff994adb2d0e">m_avsConnectionManager</a></td></tr>
<tr class="separator:ac28a292753c541d4802bff994adb2d0e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a783c0f50338e1534902a99e0121dcece"><td class="memItemLeft" align="right" valign="top">std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1acl_1_1test_1_1_mock_message_router.html">MockMessageRouter</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1test_1_1_a_v_s_connection_manager_test.html#a783c0f50338e1534902a99e0121dcece">m_messageRouter</a></td></tr>
<tr class="separator:a783c0f50338e1534902a99e0121dcece"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a56b390c2b219565e60fb0ac338b0cf0e"><td class="memItemLeft" align="right" valign="top">std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1acl_1_1test_1_1_mock_connection_status_observer.html">MockConnectionStatusObserver</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1test_1_1_a_v_s_connection_manager_test.html#a56b390c2b219565e60fb0ac338b0cf0e">m_observer</a></td></tr>
<tr class="separator:a56b390c2b219565e60fb0ac338b0cf0e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9432c2408c07cb3765b5c572852a5859"><td class="memItemLeft" align="right" valign="top">std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1acl_1_1test_1_1_mock_message_observer.html">MockMessageObserver</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1test_1_1_a_v_s_connection_manager_test.html#a9432c2408c07cb3765b5c572852a5859">m_messageObserver</a></td></tr>
<tr class="separator:a9432c2408c07cb3765b5c572852a5859"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3df1dbce03b2de9237a79d5c20ca782f"><td class="memItemLeft" align="right" valign="top">std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1network_1_1test_1_1_mock_internet_connection_monitor.html">MockInternetConnectionMonitor</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1test_1_1_a_v_s_connection_manager_test.html#a3df1dbce03b2de9237a79d5c20ca782f">m_mockConnectionMonitor</a></td></tr>
<tr class="separator:a3df1dbce03b2de9237a79d5c20ca782f"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p class="">Test harness for <code><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_a_v_s_connection_manager.html">AVSConnectionManager</a></code> class. </p>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a id="a7a341a9fb0a96ed7a783a611c74300b5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7a341a9fb0a96ed7a783a611c74300b5">&#9670;&nbsp;</a></span>SetUp()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void alexaClientSDK::acl::test::AVSConnectionManagerTest::SetUp </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a0e61253f79a8d024da389a84eebeafc9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0e61253f79a8d024da389a84eebeafc9">&#9670;&nbsp;</a></span>TearDown()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void alexaClientSDK::acl::test::AVSConnectionManagerTest::TearDown </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="ac28a292753c541d4802bff994adb2d0e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac28a292753c541d4802bff994adb2d0e">&#9670;&nbsp;</a></span>m_avsConnectionManager</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::shared_ptr&lt;<a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_a_v_s_connection_manager.html">AVSConnectionManager</a>&gt; alexaClientSDK::acl::test::AVSConnectionManagerTest::m_avsConnectionManager</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a9432c2408c07cb3765b5c572852a5859"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9432c2408c07cb3765b5c572852a5859">&#9670;&nbsp;</a></span>m_messageObserver</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::shared_ptr&lt;<a class="el" href="classalexa_client_s_d_k_1_1acl_1_1test_1_1_mock_message_observer.html">MockMessageObserver</a>&gt; alexaClientSDK::acl::test::AVSConnectionManagerTest::m_messageObserver</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a783c0f50338e1534902a99e0121dcece"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a783c0f50338e1534902a99e0121dcece">&#9670;&nbsp;</a></span>m_messageRouter</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::shared_ptr&lt;<a class="el" href="classalexa_client_s_d_k_1_1acl_1_1test_1_1_mock_message_router.html">MockMessageRouter</a>&gt; alexaClientSDK::acl::test::AVSConnectionManagerTest::m_messageRouter</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a3df1dbce03b2de9237a79d5c20ca782f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3df1dbce03b2de9237a79d5c20ca782f">&#9670;&nbsp;</a></span>m_mockConnectionMonitor</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::shared_ptr&lt;<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1network_1_1test_1_1_mock_internet_connection_monitor.html">MockInternetConnectionMonitor</a>&gt; alexaClientSDK::acl::test::AVSConnectionManagerTest::m_mockConnectionMonitor</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a56b390c2b219565e60fb0ac338b0cf0e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a56b390c2b219565e60fb0ac338b0cf0e">&#9670;&nbsp;</a></span>m_observer</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::shared_ptr&lt;<a class="el" href="classalexa_client_s_d_k_1_1acl_1_1test_1_1_mock_connection_status_observer.html">MockConnectionStatusObserver</a>&gt; alexaClientSDK::acl::test::AVSConnectionManagerTest::m_observer</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>/workplace/avs-device-sdk/ACL/test/<a class="el" href="_a_v_s_connection_manager_test_8cpp.html">AVSConnectionManagerTest.cpp</a></li>
</ul>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
